package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.ApkStrategyGroup;
import com.neusoft.smart.pos.ota.persistent.domain.ApkStrategyGroupExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ApkStrategyGroupMapper {
    int countByExample(ApkStrategyGroupExample example);

    int deleteByExample(ApkStrategyGroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ApkStrategyGroup record);

    int insertSelective(ApkStrategyGroup record);

    List<ApkStrategyGroup> selectByExample(ApkStrategyGroupExample example);

    ApkStrategyGroup selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ApkStrategyGroup record, @Param("example") ApkStrategyGroupExample example);

    int updateByExample(@Param("record") ApkStrategyGroup record, @Param("example") ApkStrategyGroupExample example);

    int updateByPrimaryKeySelective(ApkStrategyGroup record);

    int updateByPrimaryKey(ApkStrategyGroup record);

    void batchInsert(@Param("items") List<ApkStrategyGroup> items);
}